Subject: bug#77616: closed (Re: [bug#77616] [PATCH rust-team 0/6] Shorten rust bootstrap)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 08 May 2025 08:56:02 +0000

Your bug report

#77616: [PATCH rust-team 0/6] Shorten rust bootstrap

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
77616: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=77616
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#77616] [PATCH rust-team 0/6] Shorten rust bootstrap
From: Efraim Flashner <[email-masked]>
To: Morgan Smith <[email-masked]>
Cc: [email-masked], Steve George <[email-masked]>, Divya Ranjan Pattanaik <[email-masked]>
Date: Thu, 8 May 2025 11:55:45 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Thanks for the patches!

On Mon, Apr 07, 2025 at 02:52:05PM -0400, Morgan Smith wrote:
> mrustc supports bootstraping rust version 1.74.0.  This shortens the bootstrap
> process by removing the need to compile 19 versions of rust.
> 
> I also decided to use gexps everywhere for fun.
> 
> I tested this on my laptop but I suppose we need to run some CI or something
> right?
> 
> Morgan Smith (6):
>   gnu: mrustc: Update to 0.11.2.

I've merged this patch with one I had locally updating to a later
commit.

>   gnu: rust-bootstrap: Update to 1.74.0.

I adjusted this patch so that we kept the previous rust-bootstrap since
[email-masked] doesn't build on all the architectures.  I found it
failed on aarch64 and powerpc64le and the build is still ongoing for
riscv64.  I haven't tested it on any of the 32-bit systems yet.

>   gnu: rust-1.75: Inherit from rust-bootstrap.

This patch I dropped since we can't get rid of the intermediate rust
versions yet.  I instead wrote a different patch merging
rust-bootstrap-1.74 into the chain so that rust-1.75 will build with
rust-bootstrap-1.74 if it is supported and rust-1.74 otherwise.

>   gnu: rust-bootstrapped-package: Use modify-inputs.

This one I modified slightly to keep the *-bootstrap names since I
didn't drop them from rust-bootstrap-1.54.

>   gnu: Remove unneeded rust bootstrapping versions.

This one I didn't apply since we still need the in between versions.

>   gnu: rust: Use gexps.

This one didn't apply, but I'd be happy to use if you fixed it up.

> 
>  gnu/local.mk                                  |   2 -
>  gnu/packages/patches/mrustc-patches.patch     |  19 -
>  .../rust-1.64-fix-riscv64-bootstrap.patch     | 565 ----------
>  gnu/packages/rust.scm                         | 976 ++++++------------
>  4 files changed, 288 insertions(+), 1274 deletions(-)
>  delete mode 100644 gnu/packages/patches/mrustc-patches.patch
>  delete mode 100644 gnu/packages/patches/rust-1.64-fix-riscv64-bootstrap.patch
> 
> 
> base-commit: 7be2b8f57f6986654f198b43b4e96833e18b1a77
> -- 
> 2.49.0
> 
> 
> 

-- 
Efraim Flashner   <[email-masked]>   אפרים פלשנר
GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
Confidentiality cannot be guaranteed on emails sent or received unencrypted

Subject: [PATCH rust-team 0/6] Shorten rust bootstrap
From: Morgan Smith <[email-masked]>
To: [email-masked]
Cc: Morgan Smith <[email-masked]>
Date: Mon, 7 Apr 2025 14:52:05 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

mrustc supports bootstraping rust version 1.74.0.  This shortens the bootstrap
process by removing the need to compile 19 versions of rust.

I also decided to use gexps everywhere for fun.

I tested this on my laptop but I suppose we need to run some CI or something
right?

Morgan Smith (6):
  gnu: mrustc: Update to 0.11.2.
  gnu: rust-bootstrap: Update to 1.74.0.
  gnu: rust-1.75: Inherit from rust-bootstrap.
  gnu: rust-bootstrapped-package: Use modify-inputs.
  gnu: Remove unneeded rust bootstrapping versions.
  gnu: rust: Use gexps.

 gnu/local.mk                                  |   2 -
 gnu/packages/patches/mrustc-patches.patch     |  19 -
 .../rust-1.64-fix-riscv64-bootstrap.patch     | 565 ----------
 gnu/packages/rust.scm                         | 976 ++++++------------
 4 files changed, 288 insertions(+), 1274 deletions(-)
 delete mode 100644 gnu/packages/patches/mrustc-patches.patch
 delete mode 100644 gnu/packages/patches/rust-1.64-fix-riscv64-bootstrap.patch

base-commit: 7be2b8f57f6986654f198b43b4e96833e18b1a77
-- 
2.49.0